Deep Security Manager REST API

Path: / rest / cloudaccounts / {cloudAccountId}

Get a specific cloud account.

Path parameters:
cloudAccountId - Identifier uniquely identifying a cloud account.

Resources
NameDescription
synchronizeSynchronize a cloud account by ID.
testconnectionTest a cloud account connection against its supporting cloud provider.

Method Summary
ResourceDescription
GET /rest/cloudaccounts/{cloudAccountId}?sID=…Get a specific cloud account.
PUT /rest/cloudaccounts/{cloudAccountId}Update cloud account information.
DELETE /rest/cloudaccounts/{cloudAccountId}?sID=…Delete a cloud account.

Method Detail
HTTP Example:
GET /rest/cloudaccounts/{cloudAccountId}?sID=…

API Example:

ICloudAccountAPI.getCloudAccount({'sID': /* sID session ID. */,
  'cloudAccountId': /* cloudAccountId Identifier uniquely identifying a cloud account. */});

Get a specific cloud account.

Output:
CloudAccountElement - The requested cloud account. It will return response code 404 Not Found when trying to retrieve a non-existent cloud account.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json
HTTP Example:
PUT /rest/cloudaccounts/{cloudAccountId}

API Example:

ICloudAccountAPI.updateCloudAccount({'cloudAccountId': /* cloudAccountId Identifier uniquely identifying the cloud account to update. */,
  '$entity': /* updateCloudAccountRequest The request parameters */});

Update cloud account information.

Input:
UpdateCloudAccountRequest - The request parameters
Output:
UpdateCloudAccountResponse - A response with status 200 OK and a body containing response information when updating a cloud account succeeds. It will return a response with status 400 Bad Request and a body containing an ErrorMessage when trying to modify an unsupported attribute or when trying to modify a non-existent cloud account.
Produces:
application/xml
application/json
Consumes:
application/xml
application/json
HTTP Example:
DELETE /rest/cloudaccounts/{cloudAccountId}?sID=…

API Example:

ICloudAccountAPI.deleteCloudAccount({'sID': /* sID session ID. */,
  'cloudAccountId': /* cloudAccountId Identifier uniquely identifying the cloud account to delete. */});

Delete a cloud account.

Output:
DeleteCloudAccountResponse - A response with status 200 OK and a body containing response information when deletion was successful. If the id is null or empty, it will return a response with status 400 Bad Request and a body containing an ErrorMessage.
Query parameters:
sID - session ID.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.